<?php
// NS Custom Function


// Return the post id
function nsid($ns_internal_id=''){
	if($ns_internal_id != ''){
		return $ns_internal_id;
	}else{
		return get_the_ID();
	}
}

// Return the url of media by id
function nsimgurl($img_id){
	$nspost = get_post($img_id);
	$nsimg = $nspost->guid;
	//$arr_img = wp_get_attachment_url( $img_id );
	return $nsimg; 
}


// This function add back to top button if is enable in theme option
function ns_add_footer_function() {
	$ns_bkt_options = get_option('ns_general_options');
	if (isset($ns_bkt_options['scrolltotop'])){ 
		echo '<a id="back-to-top" href="#" class="back-to-top" role="button" title="Click to return on the top page" data-toggle="tooltip" data-placement="left"><span><i class="fa fa-arrow-up" style="padding-left: 1px;"></i></span></a>';
	}
}
add_action( 'wp_footer', 'ns_add_footer_function', 100 );



// If enabled admin bar will be removed
$ns_remove_admin_bar_options = get_option('ns_general_options');
if (isset($ns_remove_admin_bar_options['removeadminbar'])){
	show_admin_bar(false);
}


// This function add social icon if they are enable in theme option
function wp_social() {
	$ns_ico_options = get_option('ns_general_options');
	// Facebook
	if (isset($ns_ico_options['ns_social_facebook']) && $ns_ico_options['ns_social_facebook'] != ''){ 
		echo '<a href="'.$ns_ico_options['ns_social_facebook'].'" target="_blank"><div class="ns-ico-fb-social-footer"><i class="fa fa-facebook fa-2x NcolorS"></i></div></a>';
	}
	// Twitter
	if (isset($ns_ico_options['ns_social_twitter']) && $ns_ico_options['ns_social_twitter'] != ''){ 
		echo '<a href="'.$ns_ico_options['ns_social_twitter'].'" target="_blank"><div class="ns-ico-fb-social-footer"><i class="fa fa-twitter fa-2x NcolorS"></i></div></a>';
	}
	// Google
	if (isset($ns_ico_options['ns_social_google']) && $ns_ico_options['ns_social_google'] != ''){ 
		echo '<a href="'.$ns_ico_options['ns_social_google'].'" target="_blank"><div class="ns-ico-fb-social-footer"><i class="fa fa-google fa-2x NcolorS"></i></div></a>';
	}
	// Youtube
	if (isset($ns_ico_options['ns_social_youtube']) && $ns_ico_options['ns_social_youtube'] != ''){ 
		echo '<a href="'.$ns_ico_options['ns_social_youtube'].'" target="_blank"><div class="ns-ico-fb-social-footer"><i class="fa fa-youtube-play fa-2x NcolorS"></i></div></a>';
	}
	
				
				
}



function ns_styles_method() {
	$custom_css = '';
	wp_enqueue_style( 'ns-custom-style', NS_CSS_PATH .'/ns-custom-style.css', array(), '1.0.0' );
        $ns_style_options = get_option('ns_general_options');
        if (!empty($ns_style_options['ns_theme_style']) && $ns_style_options['ns_theme_style'] != ''){
        	$ns_style_opti = $ns_style_options['ns_theme_style'];
        }else{
        	$ns_style_opti = 'default';
        }

        if (!empty($ns_style_options['ns_theme_color']) && $ns_style_options['ns_theme_color'] != ''){
        	$ns_style_col = $ns_style_options['ns_theme_color'];
        }else{
        	$ns_style_col = 'default';
        }
		// CASE DEFAULT 	FIRST: 1-default-default.png 	SECOND: 2-default-default.png
		// CASE crayon-red	FIRST: 1-default-crayon-red.png SECOND: 2-default-crayon-red.png 
        	$custom_css .= '
				h2.NSClassTitleOther:before {
					  content: url("'.get_template_directory_uri().'/assets/images/1-'.$ns_style_opti.'-'.$ns_style_col.'.png");
				}
				h2.NSClassTitleOther:after {
					  content: url("'.get_template_directory_uri().'/assets/images/1-'.$ns_style_opti.'-'.$ns_style_col.'.png");
				}
				h2.NSClassTitleDecoration:before {
					  content: url("'.get_template_directory_uri().'/assets/images/1-'.$ns_style_opti.'-'.$ns_style_col.'.png");
				}
				h2.NSClassTitleDecoration:after {
					 content: url("'.get_template_directory_uri().'/assets/images/1-'.$ns_style_opti.'-'.$ns_style_col.'.png");
				}
				.SeparatorContentFantasyNS {
					background-image: url('.get_template_directory_uri().'/assets/images/2-'.$ns_style_opti.'-'.$ns_style_col.'.png);
				}

        	';	

        wp_add_inline_style( 'ns-custom-style', $custom_css );
}
add_action( 'wp_enqueue_scripts', 'ns_styles_method' );







function ns_gmaps_create($address) {
	?>
<script src='https://maps.googleapis.com/maps/api/js?v=3.exp'></script>
<div style='overflow:hidden;height:300px;width:100%;'>
	<div id='gmap_canvas' style='height:300px;width:100%;'></div>
<div>
	<small><a href="<?php echo esc_url('http://embedgooglemaps.com');?>">									embed google map							</a></small>
</div>
<div>
	<small><a href="<?php echo esc_url('http://googlemapsgenerator.com/');?>">Google maps generator</a></small>
</div>
<style>#gmap_canvas img{max-width:none!important;background:none!important}</style>
</div>
<script type='text/javascript'>
	var address = "<?php echo $address; ?>";
	var geocoder = new google.maps.Geocoder();
	geocoder.geocode( {'address': address}, function(results,status) {
		if (status == google.maps.GeocoderStatus.OK) {
			// do stuff
			var str = results[0].geometry.location;
			var str2 = String(str);
			var str3 = str2.replace("(", "");
			var str4 = str3.replace(")", "");
			var nsMyLatLn = str4.split(",");	
			function init_map(){			
				var myOptions = {zoom:14,scrollwheel: false,center:new google.maps.LatLng(parseFloat(nsMyLatLn[0]),parseFloat(nsMyLatLn[1])),mapTypeId: google.maps.MapTypeId.ROADMAP};
				map = new google.maps.Map(document.getElementById('gmap_canvas'), myOptions);
				marker = new google.maps.Marker({map: map,position: new google.maps.LatLng(parseFloat(nsMyLatLn[0]),parseFloat(nsMyLatLn[1]))});
				infowindow = new google.maps.InfoWindow({content:'<?php echo $address; ?>'});
				google.maps.event.addListener(marker, 'click', function(){infowindow.open(map,marker);});
				infowindow.open(map,marker);
			}
				google.maps.event.addDomListener(window, 'load', init_map);			
		} else {
			alert("Problem in the address search: " + status);
		}					
	});

</script>    
	<?php		 
}

add_action( 'wp_ajax_my_action', 'ns_gmaps_create' );
?>