<?php

add_action( 'vc_before_init', 'nsgallery_integrateWithVC' );
function nsgallery_integrateWithVC() {
   vc_map( array(
      "name" => __( "NS Portfolio", "nst" ),
      "base" => "portfoliotag",
      "category" => "NsThemes",
      "params" => array(
        array(
            'type' => 'dropdown',
            'heading' => __( 'Number of image', 'nst' ),
            'param_name' => 'portfolionsposts',
            'group' => __( 'General', 'nst' ),
            "value"       => array(
        'Unlimited'  => '-1',            	
        '1'   => '1',
        '2'   => '2',
        '3'   => '3',
        '4'   => '4',
        '5'   => '5',
        '6'   => '6',
        '7'   => '7',
        '8'   => '8',
        '9'   => '9',
        '10'  => '10',                                                
        '11'  => '11', 
        '12'  => '12', 
        '13'  => '13', 
        '14'  => '14', 
        '15'  => '15', 
        '16'  => '16', 
        '17'  => '17', 
        '18'  => '18', 
        '19'  => '19', 
        '20'  => '20', 
      ),
        ),



      ),
   ) );
}


add_action( 'vc_before_init', 'menulist_integrateWithVC' );
function menulist_integrateWithVC() {
   vc_map( array(
      "name" => __( "NS Menu list", "nst" ),
      "base" => "menulisttag",
      "category" => "NsThemes",
      "params" => array(
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __( 'Dish name', 'nst' ),
            'param_name' => 'dishname',
            'group' => __( 'General', 'nst' ),
        ),
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __( 'Description', 'nst' ),
            'param_name' => 'dishdescription',
            'group' => __( 'General', 'nst' ),
        ),
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __( 'Price', 'nst' ),
            'param_name' => 'dishprice',
            'group' => __( 'General', 'nst' ),
        ),
        array(
            'type' => 'dropdown',
            'heading' => __( 'Type', 'nst' ),
            'param_name' => 'menulistclass',
            'group' => __( 'General', 'nst' ),
            "value"       => array(
        'Normal'  => 'MenuListNSNormalClass',             
        'Featured'   => 'MenuListNSFeaturedClass'
      ),
        ),         

      ),
   ) );
}


add_action( 'vc_before_init', 'nstitlesettingsclass_integrateWithVC' );
function nstitlesettingsclass_integrateWithVC() {
   vc_map( array(
      "name" => __( "NS Title Settings", "nst" ),
      "base" => "titlesettingtag",
      "category" => "NsThemes",
      "params" => array(
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __( 'Title', 'nst' ),
            'param_name' => 'titlesettingsfield',
            'group' => __( 'General', 'nst' ),
        ),
        array(
            'type' => 'dropdown',
            'heading' => __( 'Title Type', 'nst' ),
            'param_name' => 'titletypesettingsfield',
            'group' => __( 'General', 'nst' ),
            "value"       => array(
        'Big Title'  => 'NSClassTitleNormal',             
        'Single Section'   => 'NSClassTitleSection',
        'Single Section Light'   => 'NSClassTitleDecoration',
        'Single Section Dark'   => 'NSClassTitleOther',
        'Title Dish'   => 'NSClassTitleDish'
      ),
        ),


      ),
   ) );
}


add_action( 'vc_before_init', 'buttonNSType_integrateWithVC' );
function buttonNSType_integrateWithVC() {
   vc_map( array(
      "name" => __( "NS Button", "nst" ),
      "base" => "buttonsettingtag",
      "category" => "NsThemes",
      "params" => array(
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __( 'Button Text', 'nst' ),
            'param_name' => 'buttontextnsfield',
            'group' => __( 'General', 'nst' ),
        ),
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __( 'Button Link', 'nst' ),
            'param_name' => 'buttonlinknsfield',
            'group' => __( 'General', 'nst' ),
        ),        
        array(
            'type' => 'dropdown',
            'holder' => 'div',
            'heading' => __( 'Type', 'nst' ),
            'param_name' => 'typebuttonnsfield',
            'group' => __( 'General', 'nst' ),
            "value"       => array(
        'Normal'  => 'ButtonNSNormalClass',
        'Classic'   => 'ButtonNSNClassicClass'
      ),
        ),


      ),
   ) );
}


add_action( 'vc_before_init', 'ContentSeparatorNS_integrateWithVC' );
function ContentSeparatorNS_integrateWithVC() {
   vc_map( array(
      "name" => __( "NS Separator", "nst" ),
      "base" => "contentseparatornstag",
      "category" => "NsThemes",
      "params" => array(
      
        array(
            'type' => 'dropdown',
            'holder' => 'div',
            'heading' => __( 'Class Type', 'nst' ),
            'param_name' => 'typeclassseparatorns',
            'group' => __( 'General', 'nst' ),
            "value"       => array(
        'Classic'  => 'SeparatorContentClassicNS',             
        'Fantasy'  => 'SeparatorContentFantasyNS'
      ),
        ),


      ),
   ) );
}



add_action( 'vc_before_init', 'sectionContentNS_integrateWithVC' );
function sectionContentNS_integrateWithVC() {
   vc_map( array(
      "name" => __( "NS Section Content", "nst" ),
      "base" => "sectioncontenttag",
      "category" => "NsThemes",
      "params" => array(
        array(
            'type' => 'textarea_html',
            'holder' => 'div',
            'heading' => __( 'Content', 'nst' ),
            'param_name' => 'content',
            'group' => __( 'General', 'nst' ),
        ),

      ),
   ) );
}



add_action( 'vc_before_init', 'OpenHoursSettingNs_integrateWithVC' );
function OpenHoursSettingNs_integrateWithVC() {
   vc_map( array(
      "name" => __( "NS Opening Hours", "nst" ),
      "base" => "openhourssnstag",
      "category" => "NsThemes",
      "params" => array(
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __( 'Text', 'nst' ),
            'param_name' => 'textopenhursns',
            'group' => __( 'General', 'nst' ),
        ),
        array(
            'type' => 'dropdown',
            'heading' => __( 'Type', 'nst' ),
            'param_name' => 'typeopenhoursns',
            'group' => __( 'General', 'nst' ),
            "value"       => array(
        'Text'   => 'OpenHoursTextClassNs',      
        'Days'  => 'OpenHoursDaysClassNs',             
        'Hours'   => 'OpenHoursHoursClassNs'
      ),
        ),        

      ),
   ) );
}



add_action( 'vc_before_init', 'ReservetionFormNs_integrateWithVC' );
function ReservetionFormNs_integrateWithVC() {
   vc_map( array(
      "name" => __( "NS Reservation", "nst" ),
      "base" => "reservationformnstag",
      "category" => "NsThemes",
      "params" => array(
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __( 'Email Reserve Receiver', 'nst' ),
            'param_name' => 'mailtoreservationns',
            'group' => __( 'General', 'nst' ),
        ),
        array(
            'type' => 'dropdown',
            'heading' => __( 'Button Type', 'nst' ),
            'param_name' => 'typebuttonnsreservefield',
            'group' => __( 'General', 'nst' ),
            "value"       => array(
        'Normal'  => 'ButtonNSNormalClass',
        'Classic'   => 'ButtonNSNClassicClass'
      ),
        ),         
      )      

   ) );
}


add_action( 'vc_before_init', 'GapNS_integrateWithVC' );
function GapNS_integrateWithVC() {
  $argsns = array();
  $i = 0;
  for ($i=0; $i <= 100; $i=$i+5) {
    if($i != 0){
      $argsns[$i] = $i;
    }
  }
   vc_map( array(
      "name" => __( "NS Gap", "nst" ),
      "base" => "gapnstag",
      "category" => "NsThemes",
      "params" => array(
        array(
            'type' => 'dropdown',
            'holder' => 'div',
            'heading' => __( 'Gap Height', 'nst' ),
            'param_name' => 'gapheightns',
            'group' => __( 'General', 'nst' ),
            "value"       => $argsns
        ),        
      )      

   ) );
}


add_action( 'vc_before_init', 'MapsNS_integrateWithVC' );
function MapsNS_integrateWithVC() {
   vc_map( array(
      "name" => __( "NS Map", "nst" ),
      "base" => "mapsnstag",
      "category" => "NsThemes",
      "params" => array(
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __( 'Address Map', 'nst' ),
            'param_name' => 'addressmapnsfield',
            'group' => __( 'General', 'nst' ),
        ),                       
      ),
   ) );
}


add_action( 'vc_before_init', 'nstestimonial_integrateWithVC' );
function nstestimonial_integrateWithVC() {
   vc_map( array(
      "name" => __( "NS Testimonial", "nst" ),
      "base" => "testimonialtag",
      "category" => "NsThemes",
      "params" => array(
        array(
            'type' => 'dropdown',
            'heading' => __( 'Number of image', 'nst' ),
            'param_name' => 'testimonialnsposts',
            'group' => __( 'General', 'nst' ),
            "value"       => array(
        'Unlimited'  => '-1',             
        '1'   => '1',
        '2'   => '2',
        '3'   => '3',
        '4'   => '4',
        '5'   => '5',
        '6'   => '6',
        '7'   => '7',
        '8'   => '8',
        '9'   => '9',
        '10'  => '10',                                                
        '11'  => '11', 
        '12'  => '12', 
        '13'  => '13', 
        '14'  => '14', 
        '15'  => '15', 
        '16'  => '16', 
        '17'  => '17', 
        '18'  => '18', 
        '19'  => '19', 
        '20'  => '20', 
      ),
        ),



      ),
   ) );
}



add_action( 'vc_before_init', 'ContactFormNs_integrateWithVC' );
function ContactFormNs_integrateWithVC() {
   vc_map( array(
      "name" => __( "NS Contact Form", "nst" ),
      "base" => "contactformnstag",
      "category" => "NsThemes",
      "params" => array(
        array(
            'type' => 'textfield',
            'holder' => 'div',
            'heading' => __( 'Email Contact Receiver', 'nst' ),
            'param_name' => 'mailtocontactns',
            'group' => __( 'General', 'nst' ),
        ),
        array(
            'type' => 'dropdown',
            'heading' => __( 'Button Type', 'nst' ),
            'param_name' => 'typebuttonnscontactfield',
            'group' => __( 'General', 'nst' ),
            "value"       => array(
        'Normal'  => 'ButtonNSNormalClass',
        'Classic'   => 'ButtonNSNClassicClass'
      ),
        ),         
      )      

   ) );
}
?>